Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.protocol.http.sampler
Class HTTPSamplerBaseBeanInfo

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElementBeanInfo
          org.apache.jmeter.protocol.http.sampler.HTTPSamplerBaseBeanInfo

All Implemented Interfaces:
  BeanInfo

    public class HTTPSamplerBaseBeanInfo

extends AbstractTestElementBeanInfo

This class does not appear to be used. However, without it, there are test errors for the AccessLog Sampler: unable to find property autoRedirects.displayName.

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`HTTPSamplerBaseBeanInfo()`

Method Summary

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElementBeanInfo
`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPSamplerBaseBeanInfo

    public HTTPSamplerBaseBeanInfo()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.